Subject: Re: bug#31903: 27.0.50; Server sockets with :nowait no longer work

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Jul 2018 18:25:18 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Sun, 01 Jul 2018 11:48:45 -0400
> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> 
> Helmut Eller <[email-masked]> writes:
> 
> > I'm not sure whether :nowait is supposed to work with server sockets,
> > but this used to work in Emacs 25.  Either way, the error message looks
> > pretty wrong.
> 
> As far as I can tell, Emacs 25 just ignores :nowait when :server is
> passed.  We could change Emacs 26 do that as well, or we just make the
> error official but give a more a sensible error message when passed both
> :nowait and :server.

Unless someone protests within the next few days, I think I prefer the
latter alternative.

Thanks.